| OpenCV 3.4.3 Open Source Computer Vision

Public Types | Public Member Functions | List of all members
cvflann::LinearIndex< Distance > Class Template Reference

`#include "linear_index.h"`

Inheritance diagram for cvflann::LinearIndex< Distance >:

## Public Types
typedef Distance::ResultType | DistanceType
typedef Distance::ElementType | ElementType

## Public Member Functions
| LinearIndex (const Matrix< ElementType > &inputData, const IndexParams &params=LinearIndexParams(), Distance d=Distance())
| LinearIndex (const LinearIndex &)
void | buildIndex () CV_OVERRIDE
| Builds the index. More...
void | findNeighbors (ResultSet< DistanceType > &resultSet, const ElementType *vec, const SearchParams &) CV_OVERRIDE
| Method that searches for nearest-neighbours. More...
IndexParams | getParameters () const CV_OVERRIDE
flann_algorithm_t | getType () const CV_OVERRIDE
void | loadIndex (FILE *) CV_OVERRIDE
| Loads the index from a stream. More...
LinearIndex & | operator= (const LinearIndex &)
void | saveIndex (FILE *) CV_OVERRIDE
| Saves the index to a stream. More...
size_t | size () const CV_OVERRIDE
int | usedMemory () const CV_OVERRIDE
size_t | veclen () const CV_OVERRIDE
Public Member Functions inherited from cvflann::NNIndex< Distance >
virtual | ~NNIndex ()
virtual void | knnSearch (const Matrix< ElementType > &queries, Matrix< int > &indices, Matrix< DistanceType > &dists, int knn, const SearchParams &params)
| Perform k-nearest neighbor search. More...
virtual int | radiusSearch (const Matrix< ElementType > &query, Matrix< int > &indices, Matrix< DistanceType > &dists, float radius, const SearchParams &params)
| Perform radius search. More...

## Member Typedef Documentation

## § DistanceType

template<typename Distance>

typedef Distance::ResultType cvflann::LinearIndex< Distance >::DistanceType

## § ElementType

template<typename Distance>

typedef Distance::ElementType cvflann::LinearIndex< Distance >::ElementType

## Constructor & Destructor Documentation

## § LinearIndex() [1/2]

template<typename Distance>

cvflann::LinearIndex< Distance >::LinearIndex | ( | const Matrix< ElementType > & | inputData,
|  | const IndexParams & | params = `LinearIndexParams()`,
|  | Distance | d = `Distance()`
| ) |  |
| inline

## § LinearIndex() [2/2]

template<typename Distance>

cvflann::LinearIndex< Distance >::LinearIndex | ( | const LinearIndex< Distance > & |  | ) |

## Member Function Documentation

## § buildIndex()

template<typename Distance>

void cvflann::LinearIndex< Distance >::buildIndex | ( |  | ) |
| inline virtual

Builds the index.

Implements cvflann::NNIndex< Distance >.

## § findNeighbors()

template<typename Distance>

void cvflann::LinearIndex< Distance >::findNeighbors | ( | ResultSet< DistanceType > & | result,
|  | const ElementType * | vec,
|  | const SearchParams & | searchParams
| ) |  |
| inline virtual

Method that searches for nearest-neighbours.

Implements cvflann::NNIndex< Distance >.

## § getParameters()

template<typename Distance>

IndexParams cvflann::LinearIndex< Distance >::getParameters | ( |  | ) | const
| inline virtual

Returns
  The index parameters

Implements cvflann::NNIndex< Distance >.

## § getType()

template<typename Distance>

flann_algorithm_t cvflann::LinearIndex< Distance >::getType | ( |  | ) | const
| inline virtual

Returns
  The index type (kdtree, kmeans,...)

Implements cvflann::NNIndex< Distance >.

## § loadIndex()

template<typename Distance>

void cvflann::LinearIndex< Distance >::loadIndex | ( | FILE * | stream | ) |
| inline virtual

Loads the index from a stream.

Parameters

  stream | The stream from which the index is loaded

Implements cvflann::NNIndex< Distance >.

## § operator=()

template<typename Distance>

LinearIndex& cvflann::LinearIndex< Distance >::operator= | ( | const LinearIndex< Distance > & |  | ) |

## § saveIndex()

template<typename Distance>

void cvflann::LinearIndex< Distance >::saveIndex | ( | FILE * | stream | ) |
| inline virtual

Saves the index to a stream.

Parameters

  stream | The stream to save the index to

Implements cvflann::NNIndex< Distance >.

## § size()

template<typename Distance>

size_t cvflann::LinearIndex< Distance >::size | ( |  | ) | const
| inline virtual

Returns
  number of features in this index.

Implements cvflann::NNIndex< Distance >.

## § usedMemory()

template<typename Distance>

int cvflann::LinearIndex< Distance >::usedMemory | ( |  | ) | const
| inline virtual

Returns
  The amount of memory (in bytes) used by the index.

Implements cvflann::NNIndex< Distance >.

## § veclen()

template<typename Distance>

size_t cvflann::LinearIndex< Distance >::veclen | ( |  | ) | const
| inline virtual

Returns
  The dimensionality of the features in this index.

Implements cvflann::NNIndex< Distance >.

The documentation for this class was generated from the following file:

- flann/include/opencv2/flann/linear_index.h